# Interface MouseBehaviorCallback

All Known Implementing Classes:
  `PickRotateBehavior, PickRotateBehavior, PickRotateBehavior, PickTranslateBehavior, PickTranslateBehavior, PickTranslateBehavior, PickZoomBehavior, PickZoomBehavior, PickZoomBehavior`

public interface MouseBehaviorCallback
The MouseBehaviorCallback interface allows a class to be notified when the transform is changed by one of the MouseBehaviors. The class that is interested in transform changes implements this interface, and the object created with that class is registered with the desired subclass of MouseBehavior using the `setupCallback` method. When the transform changes, the registered object's `transformChanged` method is invoked.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ROTATE`
`static final int`
`TRANSLATE`
`static final int`
`ZOOM`

## Method Summary

Modifier and Type
Method
Description
`void`
`transformChanged(int type, Transform3D transform)`
Classes implementing this interface that are registered with one of the MouseBehaviors will be called every time the behavior updates the Transform

## Field Details

### ROTATE

static final int ROTATE

See Also:
  - Constant Field Values

### TRANSLATE

static final int TRANSLATE

See Also:
  - Constant Field Values

### ZOOM

static final int ZOOM

See Also:
  - Constant Field Values

## Method Details

### transformChanged

void transformChanged(int type, Transform3D transform)
Classes implementing this interface that are registered with one of the MouseBehaviors will be called every time the behavior updates the Transform

Parameters:
  `type` - will be one of ROTATE, TRANSLATE or ZOOM